Getting Started with ReactJS CircularGauge

6 Jun 202324 minutes to read

  • This section encompasses how to configure Circular Gauge. You can provide data to a Circular Gauge and make them to display in a required way.

  • The following screen shot displays a Circular Gauge, which visually represents the functions of an Automobile speedometer with RPM (Rotation per Minute), kph (Kilometer per hour) and it denotes the speed level indicators (Safe, Caution and Danger).

ReactJS CircularGauge Getting Started

Analog Speedometer

Adding Script Reference

Create an HTML page and add the scripts references in the order mentioned in the following code example.

  • jQuery 1.10.2 and later versions

The required ReactJS script dependencies as follows. And you can also refer React to know more about ReactJS.

To get started, you can use the ej.web.all.min.js file that encapsulates all the ej controls and frameworks in one single file.

  • HTML
  • <!DOCTYPE html>
       <html>
         <head>
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <meta name="description" content="Essential Studio for React JS">
            <meta name="author" content="Syncfusion">
            <title>Getting Started for Ribbon React JS</title>
            <!-- Essential Studio for JavaScript  theme reference -->
            <link href="http://cdn.syncfusion.com/28.1.33/js/web/flat-azure/ej.web.all.min.css" rel="stylesheet" />
            <!-- Essential Studio for JavaScript  script references -->
            <script src="http://cdn.syncfusion.com/js/assets/external/jquery-3.0.0.min.js"></script>
             <script src="http://cdn.syncfusion.com/js/assets/external/react.min.js"></script>
            <script src="http://cdn.syncfusion.com/js/assets/external/react-dom.min.js"></script>
            <script src="http://cdn.syncfusion.com/28.1.33/js/web/ej.web.all.min.js"></script>
            <script src="http://cdn.syncfusion.com/28.1.33/js/common/ej.web.react.min.js"></script>
            <!-- Add your custom scripts here -->
        </head>
            <body>
            </body>
       </html>

    NOTE

    1. In production, we highly recommend you to use our custom script generator to create custom script file with required controls and its dependencies only. Also to reduce the file size further please use GZip compression in your server.
    2. For themes, you can use the ej.web.all.min.css CDN link from the code snippet given. To add the themes in your application, please refer to this link.

    Control Initialization

    Control can be initialized in two ways.

    • Using jsx Template
    • Without using jsx Template

    Using jsx Template

    By using the jsx template, we can create the HTML file and jsx file. The .jsx file can be convert to .js file and it can be referred in HTML page.

    Create your circularGauge

    In this tutorial, you will learn how to create a simple circular gauge.

    1.Create a <div> tag.

  • HTML
  • <!DOCTYPE html>
    <html>    
        <body>
    	<div id="circularGauge-default" style="height:99%;"></div>
                <script src="app/circulargauge/default.js"></script>    
        </body>
    </html>

    2.Initialize the CircularGauge by using the EJ.CircularGauge tag.

  • JAVASCRIPT
  • "use strict";
    ReactDOM.render(
        <div className="default">
            <EJ.CircularGauge id="circulargauge1"></EJ.CircularGauge>,
        </div>,
        document.getElementById('circulargauge-default')
        );

    Run the above code example to get a default CircularGauge with default values.

    ReactJS CircularGauge with Default Value

    Set Height and Width

    Pointers have different height and width so you can set the height and width of the gauge according to your requirements.Set the basic values of the gauge such as height and width of the canvas element values that are to be rendered.

  • JAVASCRIPT
  • <script type="text/babel">
    
    <!DOCTYPE html>
    <html>    
        <body>
            <script type="text/babel">
                ReactDOM.render(
                         <div className="default">
                            <EJ.CircularGauge id="circulargauge1" height={500} width={500}></EJ.CircularGauge>,
                         </div>,
                         document.getElementById('circularGauge-default')
                         );
            </script>
        </body>
    </html>

    Run the above code example and you will see the following output.

    ReactJS CircularGauge Set Height and Width

    Set Background Color

    The speedometer must have some dark color as background so that its value is clearly visible and you can vary the speed of the pointer by setting ReadOnly as False for user interaction.

  • JAVASCRIPT
  • <script type="text/babel">
    
    <!DOCTYPE html>
    <html>    
        <body>
            <script type="text/babel">
                ReactDOM.render(
                         <div className="default">
                            <EJ.CircularGauge 
                            id="circulargauge1" 
                            height={500} 
                            width={500} 
                            backgroundColor="#3D3F3D" 
                            readOnly={false} ></EJ.CircularGauge>,
                         </div>,
                         document.getElementById('circularGauge-default')
                         );
            </script>
        </body>
    </html>

    Run the above code example and you will see the following output.

    ReactJS CircularGauge Set Background Color

    Provide Scale Values

    • The pointer cap can be customized with the following options. Cap radius, cap border color, cap background color, pointer cap border width are some of the properties that are customizable.
    • The speed limit in the gauge has maximum value of 200 kph. So you can set maximum value for the gauge as 200.
    • Major Ticks have the interval value of 20 and minor ticks have the interval value of 5. Show ranges and show indicators are used to display the ranges and indicators in their respective positions.
  • JAVASCRIPT
  • <script type="text/babel">
    var scales = [{
                showRanges: true,
                showIndicators: true,
                pointerCap: {
                    radius: 15,
                    borderWidth: 0,
                    backgroundColor: "#797C79",
                    borderColor: "#797C79"
                },
                maximum: 200,
                majorIntervalValue: 20,
                minorIntervalValue: 5
                       
            }];
    
    <!DOCTYPE html>
    <html>    
        <body>
            <script type="text/babel">
                ReactDOM.render(
                         <div className="default">
                            <EJ.CircularGauge 
                            id="circulargauge1" 
                            height={500} 
                            width={500} 
                            backgroundColor="#3D3F3D" 
                            readOnly={false} 
                            scales={scales} ></EJ.CircularGauge>,
                         </div>,
                         document.getElementById('circularGauge-default')
                         );
            </script>
        </body>
    </html>

    Run the above code example and you will see the following output.

    ReactJS CircularGauge Provide Scale Values

    Add Label Customization

    To display the value around the scales, labels are used. By customizing the label color it displays as specified.

  • JAVASCRIPT
  • <script type="text/babel">
    
    var scales = [{
                 //Add the labels customization code here
                labels: [{
                    color: "#ffffff"
                }],
                       
            }];
    
    <!DOCTYPE html>
    <html>    
        <body>
            <script type="text/babel">
                ReactDOM.render(
                         <div className="default">
                            <EJ.CircularGauge 
                            id="circulargauge1" 
                            height={500} 
                            width={500} 
                            backgroundColor="#3D3F3D" 
                            readOnly={false} 
                            scales={scales} ></EJ.CircularGauge>,
                         </div>,
                         document.getElementById('circularGauge-default')
                         );
            </script>
        </body>
    </html>

    Run the above code example and you will see the following output.

    ReactJS CircularGauge Add Label Customization

    Add Pointers

    Here, you have three pointers that denote the kilometer value, rotation per minute value and torque value.The torque value pointer needs not be similar to the other two pointers. You can set torque pointer as marker pointer. And you can set other attributes for pointer such as background color, border color, length, width and distance from scale.

  • JAVASCRIPT
  • <script type="text/babel">
    
    var scales = [{
                  //Add the labels customization code here
                //Add the pointers customization code here
                pointers: [{
                    value: 140,
                    distanceFromScale: 60,
                    showBackNeedle: false,
                    length: 20,
                    type: "marker",
                    markerType: "triangle",
                    width: 10,
                    radius: 10,
                    backgroundColor: "#FF940A",
                    border: {
                        color: "#FF940A"
                    },
                },
                {
                    value: 110,
                    showBackNeedle: false,
                    length: 150,
                    width: 2,
                    radius: 10,
                    needleType: "rectangle",
                    backgroundColor: "#05AFFF",
                    border: {
                        color: "#05AFFF"
                    },
                }, {
                    value: 67,
                    showBackNeedle: false,
                    length: 100,
                    width: 15,
                    radius: 10,
                    backgroundColor: "#FC5D07",
                    border: {
                        color: "#FC5D07"
                    },
                }];
                       
            
    
    <!DOCTYPE html>
    <html>    
        <body>
            <script type="text/babel">
                ReactDOM.render(
                         <div className="default">
                            <EJ.CircularGauge 
                            id="circulargauge1" 
                            height={500} 
                            width={500} 
                            backgroundColor="#3D3F3D" 
                            readOnly={false} 
                            scales={scales}  
                            //Add the ticks customization code here
                            //Add the ranges customization code here
                            //Add the indicators customization code here
                            //Add the Custom labels customization code here ></EJ.CircularGauge>,
                         </div>,
                         document.getElementById('circularGauge-default')
                         );
            </script>
        </body>
    </html>

    Run the above code example and you will see the following output.

    ReactJS CircularGauge Add Pointers

    Add Tick Details

    • You can set Major ticks with their width and height equal to Minor ticks.
    • You can set Color according to your preference for better visibility in dark backgrounds.
    • To display and customize the tick value add the following code example.
  • JAVASCRIPT
  • <script type="text/babel">
    
    var scales = [{
                  //Add the labels customization code here
                //Add the pointers customization code here
                //Add the ticks customization code here
                ticks: [{
                    type: "major",
                    distanceFromScale: 70,
                    height: 20,
                    width: 3,
                    color: "#ffffff"
                }, {
                    type: "minor",
                    height: 12,
                    width: 1,
                    distanceFromScale: 70,
                    color: "#ffffff"
                }]            }];
                       
            
    
    <!DOCTYPE html>
    <html>    
        <body>
            <script type="text/babel">
                ReactDOM.render(
                         <div className="default">
                            <EJ.CircularGauge 
                            id="circulargauge1" 
                            height={500} 
                            width={500} 
                            backgroundColor="#3D3F3D" 
                            readOnly={false} 
                            scales={scales}  
                           ></EJ.CircularGauge>,
                         </div>,
                         document.getElementById('circularGauge-default')
                         );
            </script>
        </body>
    </html>

    Run the above code example and you will see the following output.

    ReactJS CircularGauge Add Tick Details

    Add Range Values

    • Ranges denote the property of the scale value in the speedometer. The color values of the ranges denote speed variation. Set ShowRanges as true for showing the ranges in the Circular Gauge.
    • For Low speed, you can mention it as safe zone; for moderate speed, you can call it as caution zone and for high speed, you can mark it as high speed.
    • You can customize the range with properties such as start value, end value, start width, end width, background color , border color, etc.,
  • JAVASCRIPT
  • <script type="text/babel">
    
    var scales = [{
                 ranges: [{
                    distanceFromScale: 30,
                    startValue: 0,
                    endValue: 70,
                    backgroundColor: "#5DF243",
                    border: {
                        color: "#FFFFFF"
                    },
                }, {
                    distanceFromScale: 30,
                    startValue: 70,
                    endValue: 140,
                    backgroundColor: "#F6FF0A",
                    border: {
                        color: "#FFFFFF"
                    },
                },
                {
                    distanceFromScale: 30,
                    startValue: 140,
                    endValue: 200,
                    backgroundColor: "#FF1807",
                    border: {
                        color: "#FFFFFF"
                    },
                }]           }];
                       
            
    
    <!DOCTYPE html>
    <html>    
        <body>
            <script type="text/babel">
                ReactDOM.render(
                         <div className="default">
                            <EJ.CircularGauge 
                            id="circulargauge1" 
                            height={500} 
                            width={500} 
                            backgroundColor="#3D3F3D" 
                            readOnly={false} 
                            scales={scales}  
                           ></EJ.CircularGauge>,
                         </div>,
                         document.getElementById('circularGauge-default')
                         );
            </script>
        </body>
    </html>

    Run the above code example and you will see the following output.

    ReactJS CircularGauge Add Range Values

    Add Indicator Details

    • Indicators denote whether the pointers values are in their respective zones or not. Positioning the indicator on the respective range value gives you the required changes.
    • By using Position property, you can set the location of the indicator. StateRanges defines how the indicator should behave when the pointer is in certain values.
  • JAVASCRIPT
  • <script type="text/babel">
    
    var scales = [{
                indicators: [
                {
                    height: 10,
                    width: 10,
                    type: "circle",
                    position: { x: 210, y: 300 },
                    stateRanges: [{
                        endValue: 70,
                        startValue: 0,
                        backgroundColor: "#5DF243",
                        borderColor: "#5DF243",
                        text: "",
                        textColor: "#870505"
                    }, {
                        endValue: 200,
                        startValue: 70,
                        backgroundColor: "#145608",
                        borderColor: "#145608",
                        text: "",
                        textColor: "#870505"
                    }]
                },
                {
                    height: 10,
                    width: 10,
                    type: "circle",
                    position: { x: 255, y: 200 },
                    stateRanges: [{
                        endValue: 140,
                        startValue: 70,
                        backgroundColor: "#F6FF0A",
                        borderColor: "#F6FF0A",
                        text: "",
                    }, {
                        endValue: 70,
                        startValue: 0,
                        backgroundColor: "#969B0C",
                        borderColor: "#969B0C",
                        text: "",
                    }, {
                        endValue: 200,
                        startValue: 140,
                        backgroundColor: "#969B0C",
                        borderColor: "#969B0C",
                        text: "",
                    }]
                }, {
                    height: 10,
                    width: 10,
                    type: "circle",
                    position: { x: 300, y: 300 },
                    stateRanges: [{
                        endValue: 140,
                        startValue: 0,
                        backgroundColor: "#890F06",
                        borderColor: "#890F06",
                        text: "",
                    },
                    {
                        endValue: 200,
                        startValue: 140,
                        backgroundColor: "#FF1807",
                        borderColor: "#FF1807",
                        text: "",
                    }]
                }],         }];
                       
            
    
    <!DOCTYPE html>
    <html>    
        <body>
            <script type="text/babel">
                ReactDOM.render(
                         <div className="default">
                            <EJ.CircularGauge 
                            id="circulargauge1" 
                            height={500} 
                            width={500} 
                            backgroundColor="#3D3F3D" 
                            readOnly={false} 
                            scales={scales}  
                           ></EJ.CircularGauge>,
                         </div>,
                         document.getElementById('circularGauge-default')
                         );
            </script>
        </body>
    </html>

    Run the above code example and you will see the following output.

    ReactJS CircularGauge Add Indicator Details

    Add Custom Label Details

    Custom labels are used to specify the texts that need to be displayed in the gauge. You can customize it through various properties.To display the three range description, custom texts are used here.

  • JAVASCRIPT
  • <script type="text/babel">
    
    var scales = [{
                customLabels: [{
                    value: "Safe",
                    position: { x: 200, y: 280 },
                    color: "#5DF243",
                    font:
                    {
                        size: "12px",
                        fontFamily: "Arial",
                        fontStyle: "Bold"
                    }
                }, {
                    value: "Caution",
                    position: { x: 253, y: 212 },
                    color: "#F6FF0A",
                    font:
                    {
                        size: "12px",
                        fontFamily: "Arial",
                        fontStyle: "Bold"
                    }
                }, {
                    value: "Danger",
                    position: { x: 290, y: 280 },
                    color: "#FF1807",
                    font:
                    {
                        size: "12px",
                        fontFamily: "Arial",
                        fontStyle: "Bold"
                    }
                }]       }];
                       
            
    
    <!DOCTYPE html>
    <html>    
        <body>
            <script type="text/babel">
                ReactDOM.render(
                         <div className="default">
                            <EJ.CircularGauge 
                            id="circulargauge1" 
                            height={500} 
                            width={500} 
                            backgroundColor="#3D3F3D" 
                            readOnly={false} 
                            scales={scales}  
                           ></EJ.CircularGauge>,
                         </div>,
                         document.getElementById('circularGauge-default')
                         );
            </script>
        </body>
    </html>

    Run the above code example and you will see the following output.

    ReactJS CircularGauge Add Custom Label Details

    Without using jsx Template

    The Circular Gauge can be created from a HTML DIV element with the HTML id attribute set to it. Refer to the following code example.

  • HTML
  • <div id="circularGauge-default"></div>
  • JAVASCRIPT
  • <script type="text/babel">
    
    var scale = [{
                  //Add the labels customization code here
                //Add the pointers customization code here
                pointers: [{
                    value: 140,
                    distanceFromScale: 60,
                    showBackNeedle: false,
                    length: 20,
                    type: "marker",
                    markerType: "triangle",
                    width: 10,
                    radius: 10,
                    backgroundColor: "#FF940A",
                    border: {
                        color: "#FF940A"
                    },
                },
                {
                    value: 110,
                    showBackNeedle: false,
                    length: 150,
                    width: 2,
                    radius: 10,
                    needleType: "rectangle",
                    backgroundColor: "#05AFFF",
                    border: {
                        color: "#05AFFF"
                    },
                }, {
                    value: 67,
                    showBackNeedle: false,
                    length: 100,
                    width: 15,
                    radius: 10,
                    backgroundColor: "#FC5D07",
                    border: {
                        color: "#FC5D07"
                    },
                }];
                       
            
    
    ReactDOM.render(
        React.createElement(EJ.CircularGauge, {id: "default", 
        backgroundColor: "#3D3F3D", 
        scales: scale,
        width: 500,
        height: 500,
         
        }
            
                
        ),
    		  document.getElementById('circularGauge-default')
    );
     </script>

    Run the above code example and you will see the following output.

    ReactJS CircularGauge Without Using jsx Template

Getting Started with Angular CircularGauge

17 Apr 202316 minutes to read

Before we start with the CircularGauge, please refer this page for general information regarding integrating Syncfusion widget’s.

Adding JavaScript and CSS Reference

To render the CircularGauge control, the following list of external dependencies are needed,

The other required internal dependencies are tabulated below,

Files Description/Usage
ej.core.min.js It is referred always before using all the JS controls.
ej.data.min.js Used to handle data operation and is used while binding data to the JS controls.
ej.circulargauge.min.js CircularGauge core script file which includes CircularGauge related scripts files.
excanvas.min.js

Preparing HTML document

Create an HTML page and add the scripts references in the order mentioned in the following code example.

  • HTML
  • <html>
        <head>
        <title>Angular CircularGauge</title>
    
        <!-- Essential Studio for JavaScript  theme reference -->
        <link rel="stylesheet" href="http://cdn.syncfusion.com/28.1.33/js/web/flat-azure/ej.web.all.min.css" />
    
        <!-- Angular related script references -->
        <!-- 1. Load libraries -->
             <!-- Polyfill(s) for older browsers -->
        <script src="node_modules/core-js/client/shim.min.js"></script>   
        <script src="node_modules/zone.js/dist/zone.js"></script>
        <script src="node_modules/reflect-metadata/Reflect.js"></script>
        <script src="node_modules/systemjs/dist/system.src.js"></script>
    
        <!-- Essential Studio for JavaScript  script references -->
        <script src="https://code.jquery.com/jquery-1.10.2.min.js"></script>
        <script src="http://cdn.syncfusion.com/js/assets/external/excanvas.min.js"></script>
        <script src="http://cdn.syncfusion.com/28.1.33/js/web/ej.web.all.min.js"> </script> 
        <script src="http://cdn.syncfusion.com/28.1.33/js/common/ej.angular2.min.js"></script>
        
        <!-- 2. Configure SystemJS -->
        <script src="systemjs.config.js"></script>
        <script>       
          System.import('app')
                .then(null, console.error.bind(console));
        </script>
    
        </head>
        <!-- 3. Display the application -->
        <body>
         <ej-app>  
    		<div class="splash">
    	      <div class="message">Angular Syncfusion Components App</div>
    	      <div class="spinner"></div>
    	   </div>
    	 </ej-app>
       </body>
    </html>

    NOTE

    Uncompressed version of library files are also available which is used for development or debugging purpose and can be generated from the custom script here.

    Control Initialization

    • Copy CircularGauge Syncfusion Angular source component(s) from the below build location and add it in src/ej folder (For ex., consider the circularGauge component).
  • JAVASCRIPT
  • (Installed Location)\Syncfusion\Essential Studio\14.3.0.49\JavaScript\assets-src\angular2\

    NOTE

    core.ts file is mandatory for all Syncfusion JavaScript Angular components. The repository having the source file from Essential Studio for JavaScript v14.3.0.49.

    • Create circularGauge folder inside src folder.

    • Create circularGauge.component.html view file inside src/circularGauge folder and render ejCircularGauge Angular component using the below code example.

  • HTML
  • <ej-circularGauge id="defaultcircularGauge">
    </ej-circularGauge>
    • Create circularGauge.component.ts model file inside the folder src/circularGauge and create sample component using the below code example.
  • TS
  • import { Component, ViewEncapsulation } from '@angular/core';
    
    @Component({
      selector: 'ej-app',
      templateUrl: 'src/circularGauge/circularGauge.component.html'
    })
    export class CircularGaugeComponent {
    
    }

    Configure the routes for the Router

    Before adding router configuration for above created ejCircularGauge component, we recommend you to go through the Angular Routing configuration to get the deeper knowledge about Angular routing.

    • Now, we are going to configure the route navigation link for created circularGauge sample in src/app.component.html file.
  • HTML
  • <div>
    	<ul class="nav navbar-nav">
    		<!--Added some content ....-->
    		<li>
              <a data-toggle="collapse" data-target="#skeleton-navigation-navbar-collapse.in" 
              href="#circularGauge" [routerLink]="['/circularGauge']">circularGauge </a>
            </li>
    	</ul>
    </div>
    <main>
    	<router-outlet></router-outlet>
    </main>
    • Import the ejCircularGauge sample component and define the route in src/app.routes.ts file.
  • TS
  • import { Routes } from '@angular/router';
    . . . . 
    import { CircularGaugeComponent } from './circularGauge/circularGauge.component';
    
    export const rootRouterConfig: Routes = [
        { path: '', redirectTo: 'home', pathMatch: 'full' },
        . . . . 
        { path: 'circularGauge', component: CircularGaugeComponent }
    ];
    • Import and declare the Syncfusion source component and ejCircularGauge sample component into app.module.ts like the below code snippet.
  • TS
  • import { NgModule, enableProdMode, ErrorHandler } from '@angular/core';
    . . . . . 
    import { EJ_CIRCULARGAUGE_COMPONENTS } from './ej/circularGauge.component';
    import { CircularGaugeComponent } from './circularGauge/circularGauge.component';
    
    import { rootRouterConfig } from './app.routes';
    . . . . 
    @NgModule({
      imports: [BrowserModule, FormsModule, HttpModule, RouterModule.forRoot(rootRouterConfig, { useHash: true })],
      declarations: [. . . . , EJ_CIRCULARGAUGE_COMPONENTS, CircularGaugeComponent],
      bootstrap: [AppComponent]
    })
    export class AppModule { }

    Running the application

    • To run the application, execute below command.
  • JAVASCRIPT
  • npm start
    • Browse to http://localhost:3000 to see the application. And navigate to circularGauge tab. The component is rendered as like the below screenshot. You can make changes in the code found under src folder and the browser should auto-refresh itself while you save files.

    Angular CircularGauge routes

    Set Background Color

    You can draw the speedometer with dark background and to vary the speed of the pointer, set the readOnly option as false for user interaction.

  • HTML
  • <ej-CircularGauge e-height="500" e-width="500" e-backgroundcolor="##3D3F3D" e-readonly="false">
     </ej-CircularGauge>

    The above code example renders a Gauge as shown in the following screen shot.

    Angular CircularGauge background color

    Provide scale values

    • You can customize the pointer cap using the following options- Cap radius, Cap border color, cap background color, pointer cap border width.

    • Set the maximum speed limit in the Gauge as 200KmpH.

    • Major Ticks and Minor Ticks have the interval values 20 and 5 respectively. Show ranges and show indicators are used to display the ranges and indicators in their respective positions.

  • HTML
  • <ej-CircularGauge [height]="500" [width]="500" backgroundColor="#3D3F3D" [readOnly]="false">
         <e-scales>
              <e-scale showRanges="true" showIndicators="true" maximum="200" majorIntervalValue="20" 
                   minorIntervalValue="5" pointerCap.radius="15" pointerCap.borderWidth="0" 
                   pointerCap.backgroundColor="#797C79" pointerCap.borderColor="#797C79">
              </e-scale>
           </e-scales>
      </ej-CircularGauge>

    On executing the above code, sample renders a Circular Gauge with customized labels as follows.

    Angular CircularGauge scale value

    Add Label Customization

    To display the values in the Gauge, scale labels are used. You can customize the label color.

  • HTML
  • <ej-CircularGauge>
        <e-scales>
           <e-scale>
                <e-labels>
                    <e-label color="#ffffff"></e-label>
                </e-labels>
           </e-scale>
         </e-scales>
    </ej-CircularGauge>

    On executing the above code, sample renders a default Circular Gauge with customized labels as follows.

    Angular CircularGauge add label

    Add pointer data

    You can use three pointers that denote kilometer value, rotation per minute value and torque value.The torque value pointer should not be similar to other two pointers. Set the torque pointer as marker pointer. You can set other attributes for pointer such as background color, border color, Length, width and distance from scale.

  • HTML
  • <ej-CircularGauge>
        <e-scales>
            <e-scale>
                <e-pointers>
                   <e-pointer [value]="140" [distanceFromScale]="60" [showBackNeedle]="false" 
                              [length]="20" type="marker" markerType="triangle"
                              [width]="10" backgroundColor="#FF940A" border.color="#FF940A">
                    </e-pointer>
                    <e-pointer [value]="110" [showBackNeedle]="false" [length]="150" [width]="2" 
                          needleType="rectangle" backgroundColor="#05AFFF" border.color="#05AFFF">
                    </e-pointer>
                    <e-pointer [value]="67" [showBackNeedle]="false" [length]="100" [width]="15" 
                               backgroundColor="#FC5D07" border.color="#FC5D07">
                    </e-pointer>
                 </e-pointers>
            </e-scale>
         </e-scales>
    </ej-CircularGauge>

    On executing the above code, sample renders a customized Circular Gauge as follows.

    Angular CircularGauge add pointer

    Add Tick Details

    You can display the tick value with customization as given in the following code example. You can set width and height of the Major ticks greater than the Minor ticks. You can set dark background for tick Color to have a better visibility.

  • HTML
  • <ej-CircularGauge>
        <e-scales>
            <e-scale>
                 <e-ticks>
                    <e-tick type="major" [distanceFromScale]="70" [height]="20" 
                                         [width]="3" color="#ffffff"></e-tick>
                    <e-tick type="minor" [distanceFromScale]="70" [height]="12" 
                                         [width]="1" color="#ffffff"></e-tick>
                 </e-ticks>
            </e-scale>
         </e-scales>
    </ej-CircularGauge>

    On executing the above code, sample renders a Circular Gauge with customized labels as follows.

    Angular CircularGauge add ticks

    Add Range Values

    Ranges denote the property of scale value in the speedometer. The color values of the ranges specify the speed variation. Set showRanges property to true to show the ranges in the Circular Gauge. Select safe zone for low speed, caution zone for moderate speed and high zone for high speed. You can customize the range with the properties such as start value, end value, start width, end width, background color , border color, etc.,

  • JAVASCRIPT
  • <ej-CircularGauge e-height="500" e-width="500" e-backgroundcolor="#3D3F3D" e-readonly="false">
        <e-scales>
            <e-scale>
                 <e-ranges>
                    <e-range [distanceFromScale]="30" [startValue]="0" [endValue]="70" 
                        backgroundColor="#5DF243" border.color="#FFFFFF"></e-range>
                    <e-range [distanceFromScale]="30" [startValue]="70" [endValue]="140" 
                        backgroundColor="#F6FF0A" border.color="#FFFFFF"></e-range>
                    <e-range [distanceFromScale]="30" [startValue]="140" [endValue]="200" 
                        backgroundColor="#FF1807" border.color="#FFFFFF"></e-range>
                </e-ranges>
            </e-scale>
         </e-scales>
    </ej-CircularGauge>

    On executing the above code, sample renders a Circular Gauge with customized range as follows.

    Angular CircularGauge add range